---
apiVersion: v1
items:
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      prometheus.io/scheme: https
      prometheus.io/scrape: "true"
      service.alpha.openshift.io/serving-cert-secret-name: serving-cert
      service.alpha.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1646735940
      service.beta.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1646735940
    creationTimestamp: "2022-03-08T10:38:54Z"
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:prometheus.io/scheme: {}
            f:prometheus.io/scrape: {}
            f:service.alpha.openshift.io/serving-cert-secret-name: {}
        f:spec:
          f:ports:
            .: {}
            k:{"port":443,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector:
            .: {}
            f:controller-manager: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: cluster-openshift-controller-manager-operator
      operation: Update
      time: "2022-03-08T10:38:54Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:service.alpha.openshift.io/serving-cert-signed-by: {}
            f:service.beta.openshift.io/serving-cert-signed-by: {}
      manager: service-ca-operator
      operation: Update
      time: "2022-03-08T10:39:12Z"
    name: controller-manager
    namespace: openshift-controller-manager
    resourceVersion: "7923"
    selfLink: /api/v1/namespaces/openshift-controller-manager/services/controller-manager
    uid: 4b2a7d0c-a13c-4d94-8313-9dff835f65c7
  spec:
    clusterIP: 172.30.100.237
    ports:
    - name: https
      port: 443
      protocol: TCP
      targetPort: 8443
    selector:
      controller-manager: "true"
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
kind: ServiceList
metadata:
  resourceVersion: "83358"
  selfLink: /api/v1/namespaces/openshift-controller-manager/services
